Skip to main content
GET
/
api
/
v1
/
metrics
Get metric observations
curl --request GET \
  --url https://sacra.com/api/v1/metrics/ \
  --header 'Authorization: <api-key>'
{
  "metrics": [
    {
      "metric_id": "604e0090-a7ac-470c-ae63-376e0f5055f1",
      "metric_definition": {
        "base": "trailing_revenue",
        "view": "value",
        "base_period": "year",
        "base_forward": null,
        "growth_period": null,
        "growth_period_length": null
      },
      "measurement": {
        "scenario": "historical",
        "end_date": "2025-12-31",
        "custom_start_date": null,
        "comparison_window_end_date": null,
        "comparison_window_custom_start_date": null,
        "type": "equals",
        "unit_kind": "currency",
        "currency_code": "USD",
        "amount": 2200000000,
        "low": null,
        "high": null,
        "scope_name": null,
        "scope_type": null,
        "status": "Active"
      },
      "updated_at": "2026-02-26T20:27:13.693661+00:00",
      "created_at": "2026-02-25T20:17:24.752169+00:00",
      "company": {
        "id": "239",
        "slug": "kraken",
        "domain": "kraken.com"
      },
      "citations": {
        "summary": {
          "count": 1,
          "latest_updated_at": "2026-02-25T20:17:40.923084+00:00"
        },
        "sources": [
          {
            "link": "https://blog.kraken.com/news/kraken-2025-financials",
            "headline": "Kraken 2025 Financials",
            "quote": "Adjusted revenue reached $2.2 billion, representing 33% year-over-year growth.",
            "publication": "blog.kraken.com",
            "type": "article"
          }
        ]
      }
    },
    {
      "metric_id": "83a78a15-35a9-42b9-8bd5-084717e1597b",
      "metric_definition": {
        "base": "trailing_revenue",
        "view": "growth",
        "base_period": "year",
        "base_forward": null,
        "growth_period": "year",
        "growth_period_length": 1
      },
      "measurement": {
        "scenario": "historical",
        "end_date": "2025-12-31",
        "custom_start_date": null,
        "comparison_window_end_date": "2024-12-31",
        "comparison_window_custom_start_date": null,
        "type": "equals",
        "unit_kind": "percent",
        "currency_code": null,
        "amount": 33,
        "low": null,
        "high": null,
        "scope_name": null,
        "scope_type": null,
        "status": "Active"
      },
      "updated_at": "2026-02-26T20:27:13.690811+00:00",
      "created_at": "2026-02-25T20:17:24.761715+00:00",
      "company": {
        "id": "239",
        "slug": "kraken",
        "domain": "kraken.com"
      },
      "citations": {
        "summary": {
          "count": 1,
          "latest_updated_at": "2026-02-25T20:17:40.946868+00:00"
        },
        "sources": [
          {
            "link": "https://blog.kraken.com/news/kraken-2025-financials",
            "headline": "Kraken 2025 Financials",
            "quote": "Adjusted revenue reached $2.2 billion, representing 33% year-over-year growth.",
            "publication": "blog.kraken.com",
            "type": "article"
          }
        ]
      }
    }
  ],
  "pagination": {
    "page_size": 30,
    "current_page_items": 2,
    "total_items": 13,
    "after_cursor": "Start",
    "before_cursor": null,
    "next_link": null,
    "prev_link": null
  },
  "meta": {
    "query_type": "single-company",
    "companies_count": 1,
    "companies": [
      {
        "id": "239",
        "slug": "kraken",
        "domain": "kraken.com"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sacra.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using one of two formats:

  • Organization/user token: Token <your-token>
  • Stytch JWT: Bearer <your-jwt>

Query Parameters

base_period
string

Comma-separated list of metric_definition.base_period values.

company_domain
string

Filter by a single company domain (e.g. stripe.com). Cannot combine with multi-company filters.

company_domains
string

Comma-separated list of company domains. Max 200 for GET. Cannot combine with single-company filters.

company_id
string

Filter by a single company ID. Cannot combine with multi-company filters.

company_ids
string

Comma-separated list of company IDs. Max 200 for GET. Cannot combine with single-company filters.

comparison_window_end_date_gte
string<date-time>

Filter where measurement.comparison_window_end_date >= this value (ISO 8601).

comparison_window_end_date_lte
string<date-time>

Filter where measurement.comparison_window_end_date <= this value (ISO 8601).

created_at_gte
string<date-time>

Filter metrics created on or after this datetime (ISO 8601).

created_at_lte
string<date-time>

Filter metrics created on or before this datetime (ISO 8601).

growth_period
string

Comma-separated list of metric_definition.growth_period values.

include_all_signal_evidence
boolean

When true, include all SignalEvidence rows even without quote/snippet/SEC filing URL. Default: false.

measurement_end_date_gte
string<date-time>

Filter where measurement.end_date >= this value (ISO 8601).

measurement_end_date_lte
string<date-time>

Filter where measurement.end_date <= this value (ISO 8601).

measurement_scenario
string

Comma-separated list of measurement.scenario values (e.g. historical,projection).

metric_base
string

Comma-separated list of metric_definition.base values to filter by (e.g. revenue,arr,trailing_revenue).

metric_view
string

Comma-separated list of metric_definition.view values (e.g. value,growth).

page_after
string

Cursor for the next page. Cannot combine with page_before.

page_before
string

Cursor for the previous page. Cannot combine with page_after.

page_size
integer

Results per page. Default: 30, max: 100.

updated_at_gte
string<date-time>

Filter metrics updated on or after this datetime (ISO 8601).

updated_at_lte
string<date-time>

Filter metrics updated on or before this datetime (ISO 8601).

Response

Paginated list of metric observations with citations.

metrics
object[]
required
pagination
object
required
meta
object
required